Public Member Functions | Public Attributes | List of all members
MsWksDocument::Zone Struct Reference

a zone of a MsWksDocument ( main, header, footer ) More...

`#include <MsWksDocument.hxx>`

## Public Member Functions
| Zone (ZoneType type=Z_NONE, int zoneId=-1)
| the constructor More...

## Public Attributes
ZoneType | m_type
| the zone type More...
int | m_zoneId
| the parser zone id More...
int | m_textId
| the text internal id More...

## Detailed Description

a zone of a MsWksDocument ( main, header, footer )

## Constructor & Destructor Documentation

## ◆ Zone()

MsWksDocument::Zone::Zone | ( | ZoneType | type = `Z_NONE`,
|  | int | zoneId = `-1`
| ) |  |
| inline

the constructor

## Member Data Documentation

## ◆ m_textId

int MsWksDocument::Zone::m_textId

the text internal id

Referenced by MsWksParser::createZones(), MsWksDocument::getPageSpanList(), MsWksDocument::readGroupHeaderFooter(), and MsWksDocument::sendZone().

## ◆ m_type

ZoneType MsWksDocument::Zone::m_type

the zone type

## ◆ m_zoneId

int MsWksDocument::Zone::m_zoneId

the parser zone id

Referenced by MsWksDocument::getPageSpanList(), MsWksDocument::readZone(), MsWksSSParser::sendSpreadsheet(), and MsWksDocument::sendZone().

The documentation for this struct was generated from the following file:

- MsWksDocument.hxx